Subject: Re: [RFC] Git User's Survey 2010 (resend)

From: Jakub Narebski <[email-masked]>
Date: Mon, 5 Jul 2010 01:48:45 +0200

On Mon, 5 Jul 2010, Scott Chacon wrote:
> 2010/7/3 Jakub Narebski <[email-masked]>:
> > === 09. On which operating system(s) do you use Git? ===
> > (multiple choice, with other)
> >
> >  + Linux (includes MeeGo and Moblin)
> >  + MacOS X (Darwin)
> >  + MS Windows/msysGit (MINGW)
> >  + MS Windows/Cygwin
> >  + FreeBSD, OpenBSD, NetBSD, etc.
> >  + other Unix
> >
> >  + iPhone OS
> >  + Android
> >  + WebOS
> >
> >  + Other, please specify
> >
> > NOTES:
> > ^^^^^^
> > The iPhone OS, Androind and WebOS answers are new this year.
> > OpenSolaris died, so I removed it.  I wonder if it is worth it to
> > differentiate between MS Windows/msysGit and MS Windows/Cygwin, or if
> > we should just have one, single 'MS Windows' choice.
> 
> Are any of these new options relevant?  I'm pretty sure there is no
> working Git implementation in iOS, Android or WebOS.  Why were they
> added?  There are some libraries for iOS, but I'm pretty involved in
> almost all of them and as far as I know you can't really do anything
> interesting with them yet.  And I'm pretty sure Android and certainly
> WebOS don't have working implementations yet either.

I have added those because (perhaps by mistake or misunderstanding)
there were a few such answers in 'other' operating system answer.

-- 
Jakub Narebski
Poland